Name:           python-snakemake
Version:        7.30.1
Release:        %autorelease
Summary:        Workflow management system to create reproducible and scalable data analyses

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/snakemake/
Source:         %{pypi_source snakemake}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'snakemake' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-snakemake
Summary:        %{summary}

%description -n python3-snakemake %_description


%prep
%autosetup -p1 -n snakemake-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-snakemake -f %{pyproject_files}


%changelog
%autochangelog